#ifndef appmenu_h_included_peosiooskf
#define appmenu_h_included_peosiooskf


typedef struct amenu amenu_t;

typedef struct aitem
  { char *name, *icon, *exec, *src; 
    amenu_t *sub; int type;
    struct aitem *prev,*next;
    void *aux;
  }
aitem_t;

struct amenu { aitem_t items; };

amenu_t *read_app_menu(char *fname, amenu_t **Rhidden);
void write_app_menu(const char *fname, amenu_t *menu, amenu_t *hidden);
void destroy_app_menu(amenu_t *A);

aitem_t *amenu_item_new(amenu_t *A, char* name, char *icon,int spos);
amenu_t *amenu_new();

#endif
