#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <dirent.h>
#include <errno.h>
#include <unistd.h>
#include "appmenu.h"
#include "scan_appdir.h"

char *appdirs[]= { "/usr/share/applications" };
char *icondirs[]= { "/usr/share/icons/hicolor" };

int main()
{
  amenu_t *menu, *hidden;
  menu= read_app_menu("../appmenu/foo.tt", &hidden);
  scan_app_dirs(appdirs,1, icondirs,1, menu, hidden);
  write_app_menu("../appmenu/out.tt", menu, hidden);
  destroy_app_menu(menu);
  destroy_app_menu(hidden);
  return 0; 
}
