
void graymap_init(int red_shift,int green_shift, int blue_shift);
void graymap_draw(uint32_t *dst, uint32_t dstW, uint32_t dstH,
               int dstX, int dstY,
               const uint8_t  *src, uint32_t srcW, uint32_t srcH,
               int srcX, int srcY,
               uint32_t fg, uint32_t bg,
               int W, int H);
void blend_alpha_image(uint32_t *dst,  int dstW, int dstH,
                                       int dstX, int dstY,
                       uint32_t *src,  int srcW, int srcH,
                                       int srcX, int srcY,
                       int W, int H, uint32_t bg);
void copy_area(uint32_t *dst,  int dstW, int dstH,
                               int dstX, int dstY,
               uint32_t *src,  int srcW, int srcH,
                               int srcX, int srcY,
                       int W, int H);
uint32_t server_color(uint32_t rgb);
void fill_rect(uint32_t *dst, uint32_t dstW, uint32_t dstH,
                              int x, int y, int w, int h,uint32_t color);
void xor_rect(uint32_t *dst, uint32_t dstW, uint32_t dstH,
                              int x, int y, int w, int h,uint32_t color);
void draw_rect(uint32_t *dst, uint32_t dstW, uint32_t dstH,
                              int x, int y, int w, int h,uint32_t color);
void draw_vline(uint32_t *dst, uint32_t dstW, uint32_t dstH,
                              int x, int y1, int y2, uint32_t color);
void draw_hline(uint32_t *dst, uint32_t dstW, uint32_t dstH,
                              int x1, int x2, int y, uint32_t color);
