#ifndef menu_h_included_rpoilxks
#define menu_h_included_rpoilxks

typedef struct xmenu menu_t;


menu_t *menu_start();
void menu_add_item(menu_t *M, int icon_width, int icon_height,
                              uint32_t *icon, char *text, int action);
void menu_add_sub(menu_t *M, int icon_width, int icon_height,
                             uint32_t *icon, char *text, menu_t *sub);
void menu_add_sep(menu_t *M);
void menu_end(menu_t *M);
void menu_init(cfg_menu_style_t *cfg);
void menu_display_top(menu_t *M, int bot, int left,
                      Window *Rwindow, unsigned int *Revent);
int menu_get_selected(menu_t *M);
void menu_free(menu_t *M);
int menu_is_released(menu_t *M);
void menu_release(menu_t *M);
#endif
