
typedef struct { int height, ascent, descent; void *priv; } u_font_t;


void text_set_dpi(int hor, int ver);
void font_builtin(const char *name, const unsigned char *data, size_t len);
u_font_t *font_new(const char *name, int ptsize);
void font_free(u_font_t *font);
void text_render(u_font_t *font, const char *str, 
                 uint32_t *Rw, uint8_t **Rd);
void text_render_wide(u_font_t *font, uint32_t *wide_str,
                 size_t wide_str_len,
                 uint32_t *Rw, uint8_t **Rd);
int font_init();
int font_finish();

