#include <stdlib.h>
#include <stdio.h>
#include "pngio.h"

#define WHITE  0xffffffff
unsigned int w,h,*d;

int nrect;
char *pfx= "AR";

void get_rect(unsigned int r, unsigned int c)
{
  unsigned int k,u,x,y;
  for(k=r;k<h;k++) if (d[k*w+c]==WHITE) break;
  for(u=c;u<w;u++) if (d[r*w+u]==WHITE) break;

  printf(" %3d, %3d, %3d, %3d, XXX,\n", c, r, u-c, k-r);
  nrect++;

  for(y=r;y<k;y++)
    for(x=c;x<u;x++)
      d[y*w+x]= WHITE;
}

int main(int argc, char **argv)
{
  char *e;
  unsigned int r,c;
  e= read_png_image(argv[1], &w, &h, &d);
  if (e) exit(fprintf(stderr,"%s\n",e));
  if (argc>2) pfx= argv[2];
again:
  for(r=0;r<h;r++)
    for(c=0;c<w;c++)
     if (d[r*w+c]!=WHITE)
     {
       get_rect(r,c);
       goto again;
     }
}
